# Az - Table Storage Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

## Table Storage Post Exploitation

Pour plus d'informations sur le stockage de tables, consultez :

{{#ref}}
../az-services/az-table-storage.md
{{#endref}}

### Microsoft.Storage/storageAccounts/tableServices/tables/entities/read

Un principal avec cette permission pourra **lister** les tables à l'intérieur d'un stockage de tables et **lire les informations** qui pourraient contenir des **informations sensibles**.
```bash
# List tables
az storage table list --auth-mode login --account-name <name>

# Read table (top 10)
az storage entity query \
--account-name <name> \
--table-name <t-name> \
--auth-mode login \
--top 10
```
### Microsoft.Storage/storageAccounts/tableServices/tables/entities/write | Microsoft.Storage/storageAccounts/tableServices/tables/entities/add/action | Microsoft.Storage/storageAccounts/tableServices/tables/entities/update/action

Un principal avec cette permission pourra **écrire et écraser des entrées dans les tables**, ce qui pourrait lui permettre de causer des dommages ou même d'escalader des privilèges (par exemple, écraser des données de confiance qui pourraient exploiter une vulnérabilité d'injection dans l'application qui les utilise).

- La permission `Microsoft.Storage/storageAccounts/tableServices/tables/entities/write` permet toutes les actions.
- La permission `Microsoft.Storage/storageAccounts/tableServices/tables/entities/add/action` permet d'**ajouter** des entrées.
- La permission `Microsoft.Storage/storageAccounts/tableServices/tables/entities/update/action` permet d'**mettre à jour** des entrées existantes.
```bash
# Add
az storage entity insert \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"

# Replace
az storage entity replace \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"

# Update
az storage entity merge \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"
```
### \*/delete

Cela permettrait de supprimer des fichiers à l'intérieur du système de fichiers partagé, ce qui pourrait **interrompre certains services** ou faire perdre au client **des informations précieuses**.

{{#include ../../../banners/hacktricks-training.md}}
